package network;

import java.io.*;
import java.net.InetAddress;
import java.net.Socket;
import java.net.UnknownHostException;
import java.util.Scanner;

public class Network {
    Socket socket;
    InetAddress address = null;
    public Network(){
        try {
            address = InetAddress.getByName("localhost");
        } catch (UnknownHostException e) {
            e.printStackTrace();
        }
        try {
            socket = new Socket(address , 1234);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
    public void send(String m){
        try {
            PrintStream print = new PrintStream(socket.getOutputStream());
            print.println(m);
        }
        catch (Exception e){
            e.printStackTrace();
        }
    }
    public String receive() throws IOException {
        Scanner scanner = new Scanner(socket.getInputStream());
        return scanner.next();
    }
}
